package com.the5gi.commands;

import com.the5gi.SimpleTTTCore;
import com.the5gi.util.Role;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.Random;

public class StartGameCommand implements CommandExecutor {
    private JavaPlugin plugin;

    public StartGameCommand(JavaPlugin plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if (sender instanceof Player) {
            Player player = (Player) sender;
            if (player.getServer().getOnlinePlayers().size() >= 2) {
                player.sendMessage("Game Started");
                //player.sendMessage(getRandomRole().toString());
                SimpleTTTCore.startGame(plugin);
            } else {
                player.sendMessage("Not enough players to start game!");
            }
        }
        return true;
    }
}
