package com.the5gi.events;

import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;
import org.bukkit.plugin.java.JavaPlugin;

public class PreStartTTTEvent extends Event {
    private static final HandlerList HANDLER_LIST = new HandlerList();

    private static JavaPlugin plugin;

    private boolean cancelled = false;


    public PreStartTTTEvent(JavaPlugin server) {
        plugin = server;
    }

    public JavaPlugin getPlugin() {
        return plugin;
    }

    public boolean isCancelled() {
        return cancelled;
    }

    public void setCancelled(boolean cancel) {
        cancelled = cancel;
    }

    @Override
    public HandlerList getHandlers() {
        return HANDLER_LIST;
    }

    public static HandlerList getHandlerList() {
        return HANDLER_LIST;
    }
}
